Bug 1833158 - gdm-related dconf folders and keyfiles are not found in fresh 8.2 install
Summary: gdm-related dconf folders and keyfiles are not found in fresh 8.2 install
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: gdm
Version: 8.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 8.0
Assignee: Ray Strode [halfline]
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks: 1933812
TreeView+ depends on / blocked
 
Reported: 2020-05-07 23:06 UTC by Brandon Clark
Modified: 2021-03-01 19:00 UTC (History)
5 users (show)

Fixed In Version: gdm-3.28.3-32.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1933812 (view as bug list)
Environment:
Last Closed: 2020-11-04 01:35:29 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:4451 0 None None None 2020-11-04 01:35:50 UTC

Description Brandon Clark 2020-05-07 23:06:46 UTC
Description of problem:
GDM related keyfiles and directories are not found in /etc/dconf/db on fresh 8.2 install. This causes issues with doing things like adding a login banner.

Version-Release number of selected component (if applicable):
dconf-0.28.0-3.el8.x86_64

How reproducible:
Consistently

Steps to Reproduce:
1. Install RHEL 8.2
2. Run 'ls -l' command on /etc/dconf/db

Actual results:
[test@localhost ~]$ ls -l /etc/dconf/db
total 16
-rw-r--r--. 1 root root  731 Nov 20 14:09 distro
drwxr-xr-x. 3 root root   40 Nov 20 13:34 distro.d
-rw-r--r--. 1 root root 2931 May 20  2019 ibus
drwxr-xr-x. 2 root root   34 May 20  2019 ibus.d
-rw-r--r--. 1 root root  790 Apr 29 12:23 local
drwxr-xr-x. 3 root root   92 Apr 29 12:26 local.d
-rw-r--r--. 1 root root  104 May 20  2019 site
drwxr-xr-x. 3 root root   19 May 20  2019 site.d

Expected results:
/etc/dconf/db/gdm and /etc/dconf/db/gdm.d to be present as in RHEL 7.

Comment 1 Marek Kašík 2020-05-11 16:04:24 UTC
The directory is created by gdm in RHEL 7. It was added by bug #1664284. I'm reassigning this to gdm.

Comment 2 Ray Strode [halfline] 2020-05-11 17:24:04 UTC
Agreed, this is essentially the RHEL8 version of bug 1664284.  One caveat is, in RHEL-8 we'll also need to modify the dconf profile to check for /etc/dconf/db/gdm.d, not just make the directory like in RHEL 7 (In RHEL 7 it was already in the profile)

Comment 9 Ray Strode [halfline] 2020-08-11 19:07:15 UTC
mboisvert found an issue during testing, doing a follow up build.

Comment 10 Michael Boisvert 2020-08-13 18:28:15 UTC
/etc/dconf/db/gdm and /etc/dconf/db/gdm.d are now present using gdm-3.28.3-32.el8.

Comment 14 errata-xmlrpc 2020-11-04 01:35:29 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: GNOME security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:4451


Note You need to log in before you can comment on or make changes to this bug.